fix various arch issues
[automated-distro-installer] / fai-redep
index cd0888737541a0d475d7de19df177b193ee3fbf2..29f4d158c5e832597e599db83cf97b408a0bbe12 100755 (executable)
--- a/fai-redep
+++ b/fai-redep
@@ -9,8 +9,26 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 cd $(dirname $(readlink -f "$BASH_SOURCE"))
 
-ssh root@faiserver rm -rf /srv/fai/config
-scp -r fai/config root@faiserver:/srv/fai
+
+faiserver_host=faiserver
+# i use faiserver as a dns alias, but ssh key is associated with
+# a canonical hostname and we will have ssh warning spam unless we
+# use it, so look it up.
+if addr=$(host faiserver); then
+    addr=${addr##* }
+    if h=$(host $addr); then
+        h=${h##* }
+        faiserver_host=${h%%.*}
+    else
+        echo "$0: warning: host \$addr($addr) failed"
+    fi
+else
+    echo "$0: warning: host faiserver failed"
+fi
+
+
+ssh root@$faiserver_host rm -rf /srv/fai/config
+scp -r fai/config root@$faiserver_host:/srv/fai
 # fai example pass: fai
 #ROOTPW='$1$kBnWcO.E$djxB128U7dMkrltJHPf6d1'
 
@@ -22,24 +40,24 @@ scp -r fai/config root@faiserver:/srv/fai
 
 f=/q/root/shadow/standard
 if s test -e $f; then
-    ssh root@faiserver tee -a /srv/fai/config/class/DEFAULT.var <<EOF
+    ssh root@$faiserver_host tee -a /srv/fai/config/class/DEFAULT.var <<EOF
 ROOTPW='$(s cat $f)'
 EOF
 fi
 
 tpvar="$(s cat /q/root/shadow/traci-simple)"
-ssh root@faiserver tee -a /srv/fai/config/class/tp.var <<EOF
+ssh root@$faiserver_host tee -a /srv/fai/config/class/tp.var <<EOF
 ROOTPW='$tpvar'
 EOF
 
 scp ~/.ssh/id_rsa.pub \
-    root@faiserver:/srv/fai/config/files/home/ian/.ssh/authorized_keys/GRUB_PC
+    root@$faiserver_host:/srv/fai/config/files/home/ian/.ssh/authorized_keys/GRUB_PC
 # todo: automatically disable faiserver after a period so
 # these files are not exposed.
 s scp -r /q/root/luks /q/root/shadow/traci{,-simple} \
-  root@faiserver:/srv/fai/config/distro-install-common
-scp /a/bin/devbyid root@faiserver:/srv/fai/nfsroot/usr/local/bin
-ssh root@faiserver bash <<'EOF'
+  root@$faiserver_host:/srv/fai/config/distro-install-common
+scp /a/bin/devbyid root@$faiserver_host:/srv/fai/nfsroot/usr/local/bin
+ssh root@$faiserver_host bash <<'EOF'
 set -eE -o pipefail
 chmod 644 /srv/fai/config/files/home/ian/.ssh/authorized_keys/GRUB_PC
 chmod -R a+rX /srv/fai/config/distro-install-common